Subject: Re: [PATCH 0/1] ixgbe: Support for Intel(R) 10GbE PCI Express adapters - Take #2

From: Jeff Garzik <[email-masked]>
Date: Tue, 10 Jul 2007 14:00:49 -0400

[email-masked] wrote:
> 7. NAPI mode uses sigle Rx queue and so fake netdev usage is removed.
> 8. Non-NAPI mode is added.

Honestly I'm not sure about drivers that have both NAPI and non-NAPI paths.

Several existing drivers do this, and in almost every case, I tend to 
feel the driver would benefit from picking one approach, rather than 
doing both.

Doing both tends to signal that the author hasn't bothered to measure 
the differences between various approaches, and pick a clear winner.

I strongly prefer NAPI combined with hardware interrupt mitigation -- it 
helps with multiple net interfaces balance load across the system, at 
times of high load -- but I'm open to other solutions as well.

So...  what are your preferences?  What is the setup that gets closest 
to wire speed under Linux?  :)

	Jeff